Ask coding questions

← Back to all posts
How to specify which version of git to use?
watadarkstar

I want to use a specific git version in the replit shell. How can I do that?

I want this git version:
git version 2.24.3 (Apple Git-128)

Voters
watadarkstar
Comments
hotnewtop
RoBlockHead

Why exactly do you need a specific version of git?

watadarkstar

@RoBlockHead I need specific features like git restore that's only available in newer versions of git

Highwayman

make a nix repl, download the version you want, and then just mess with your PATH until the bin directory with the right version of git comes first.